GNU Radio's SATELLITES Package

gr::satellites::pdu_length_filter_impl Class Reference

`#include <pdu_length_filter_impl.h>`

Inheritance diagram for gr::satellites::pdu_length_filter_impl:
[legend]

## Public Member Functions
| pdu_length_filter_impl (int min, int max)
| ~pdu_length_filter_impl ()
void | forecast (int noutput_items, gr_vector_int &ninput_items_required)
int | general_work (int noutput_items, gr_vector_int &ninput_items, gr_vector_const_void_star &input_items, gr_vector_void_star &output_items)
void | msg_handler (pmt::pmt_t pmt_msg)

## Additional Inherited Members
Public Types inherited from gr::satellites::pdu_length_filter
typedef boost::shared_ptr< pdu_length_filter > | sptr
Static Public Member Functions inherited from gr::satellites::pdu_length_filter
static sptr | make (int min, int max)
| Return a shared_ptr to a new instance of satellites::pdu_length_filter.

## Constructor & Destructor Documentation

## ◆ pdu_length_filter_impl()

gr::satellites::pdu_length_filter_impl::pdu_length_filter_impl | ( | int | min,
|  | int | max )

## ◆ ~pdu_length_filter_impl()

gr::satellites::pdu_length_filter_impl::~pdu_length_filter_impl | ( |  | ) |

## Member Function Documentation

## ◆ forecast()

void gr::satellites::pdu_length_filter_impl::forecast | ( | int | noutput_items,
|  | gr_vector_int & | ninput_items_required )

## ◆ general_work()

int gr::satellites::pdu_length_filter_impl::general_work | ( | int | noutput_items,
|  | gr_vector_int & | ninput_items,
|  | gr_vector_const_void_star & | input_items,
|  | gr_vector_void_star & | output_items )

## ◆ msg_handler()

void gr::satellites::pdu_length_filter_impl::msg_handler | ( | pmt::pmt_t | pmt_msg | ) |

The documentation for this class was generated from the following file:

- pdu_length_filter_impl.h